# Tupperware

[![Gem Version](https://badge.fury.io/rb/tupperware.svg)](https://badge.fury.io/rb/tupperware)
![](http://ruby-gem-downloads-badge.herokuapp.com/tupperware?type=total&color=brightgreen)

Package Test Kitchen instances

## Installation

```
gem install tupperware
```

## Usage

Move into the directory where your test-kitchen project lives and run tupperware to package all instances. You may optionally pass in the instance name as specified by kitchen list to package a single instance. The default driver (vagrant/virtualbox) will place the box file in the current working directory. Support for additional drivers is on the way. 

```
Usage: tupperware [-h][-i INSTANCE][-p EXECUTABLE][-k EXECUTABLE]
    -h, --help                       Display this help output
    -i, --instance                   Optional: Kitchen instance to be packaged
    -p, --provision                  Optional: Path to script to provision the instance
    -k, --pre-package                Optional: Path to Ruby code to execute on the workstation prior to packaging
```

## Supported test-kitchen drivers
* Vagrant (VirtualBox Provider)
* More coming soon!


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/tupperware. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

